package com.bjtdba.wares.dto;

public class SearchCriteriaDto {

    /**
     * 商户ID   从店铺点进去需要拿到店铺ID检索店铺内的商品
     */
    private Integer mer_id;
    /**
     * 商户名称     店铺名字+搜索关键字
     */
    private String mer_name;
    /**
     * 关键字
     */
    private String mer_keyword;
    /**
     * 纬度
     */
    private String lat;
    /**
     * 经度
     */
    private String lng;
    /**
     * 商品分类ID  商户分类ID
     */
    private Integer category_id;
    /**
     *是否推荐
     */
    private String is_best;
    /**
     *是否推荐
     */
    private Integer is_good;
    /**
     * 商户类型   推荐  大仓商品
     */
    private Integer merchant_type;
    /**
     * 关注总数   人气   排序
     */
    private Integer care_count;
    /**
     * 销量   排序
     */
    private Integer sales;

    /**
     *价格排序
     */
    private String priceType;

    /**
     * 是否上新  0 是
     */
    private Integer is_new;

    /**
     * 商品类型
     */
    private Integer type;

    /**
     * 距离排序
     */
    private Integer distanceAsc;
    //用戶id 2023.2.6 添加，自己的店置顶（排第一位）
    private  Integer uid;

    private  String createTime;


    public Integer getDistanceAsc() {
        return distanceAsc;
    }

    public void setDistanceAsc(Integer distanceAsc) {
        this.distanceAsc = distanceAsc;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getIs_good() {
        return is_good;
    }

    public void setIs_good(Integer is_good) {
        this.is_good = is_good;
    }

    public Integer getIs_new() {
        return is_new;
    }

    public void setIs_new(Integer is_new) {
        this.is_new = is_new;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public Integer getMer_id() {
        return mer_id;
    }

    public void setMer_id(Integer mer_id) {
        this.mer_id = mer_id;
    }

    public String getMer_name() {
        return mer_name;
    }

    public void setMer_name(String mer_name) {
        this.mer_name = mer_name;
    }

    public String getMer_keyword() {
        return mer_keyword;
    }

    public void setMer_keyword(String mer_keyword) {
        this.mer_keyword = mer_keyword;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public Integer getCategory_id() {
        return category_id;
    }

    public void setCategory_id(Integer category_id) {
        this.category_id = category_id;
    }

    public String getIs_best() {
        return is_best;
    }

    public void setIs_best(String is_best) {
        this.is_best = is_best;
    }

    public Integer getMerchant_type() {
        return merchant_type;
    }

    public void setMerchant_type(Integer merchant_type) {
        this.merchant_type = merchant_type;
    }

    public Integer getCare_count() {
        return care_count;
    }

    public void setCare_count(Integer care_count) {
        this.care_count = care_count;
    }

    public Integer getSales() {
        return sales;
    }

    public void setSales(Integer sales) {
        this.sales = sales;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
